## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::BorrowReturnFormatterToText Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::BorrowReturnFormatterToText:

List of all members.

## Public Methods

- BorrowReturnFormatterToText ( StylesheetExecutionContext& executionContext, Writer& writer, bool normalizeLinefeed = true, bool handleIgnorableWhitespace = true)
- ~BorrowReturnFormatterToText ()
- FormatterToText& operator * () const
- FormatterToText* get () const
- FormatterToText* operator- > () const

## Constructor & Destructor Documentation

StylesheetExecutionContext::BorrowReturnFormatterToText::BorrowReturnFormatterToText ( | StylesheetExecutionContext & executionContext,
| Writer & writer,
| bool normalizeLinefeed = true,
| bool handleIgnorableWhitespace = true )

StylesheetExecutionContext::BorrowReturnFormatterToText::~BorrowReturnFormatterToText ( | )`[]`

## Member Function Documentation

FormatterToText * StylesheetExecutionContext::BorrowReturnFormatterToText::get ( | ) const`[]`

FormatterToText & StylesheetExecutionContext::BorrowReturnFormatterToText::operator * ( | ) const`[]`

FormatterToText * StylesheetExecutionContext::BorrowReturnFormatterToText::operator- > ( | ) const`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.